include::../description.adoc[]

include::../noncompliant.adoc[]

== Exceptions

When a block contains a comment, this block is not considered to be empty unless it is a ``++synchronized++`` block. ``++synchronized++`` blocks are still considered empty even with comments because they can still affect program flow.

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
